<?php

Route::post('fatoni/generate/api', array('as' => 'fatoni.generate.api', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\ApiGeneratorController@generateApi'));
Route::post('fatoni/update/api/{id}', array('as' => 'fatoni.update.api', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\ApiGeneratorController@updateApi'));
Route::get('fatoni/delete/api/{id}', array('as' => 'fatoni.delete.api', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\ApiGeneratorController@deleteApi'));

Route::resource('api/v1/pages', 'AhmadFatoni\ApiGenerator\Controllers\API\PagesController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/pages/{id}/delete', ['as' => 'api/v1/pages.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\PagesController@destroy']);
Route::resource('api/v1/home-services', 'AhmadFatoni\ApiGenerator\Controllers\API\ServicesController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/home-services/{id}/delete', ['as' => 'api/v1/home-services.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\ServicesController@destroy']);
Route::resource('api/v1/home-projects', 'AhmadFatoni\ApiGenerator\Controllers\API\ProjectsController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/home-projects/{id}/delete', ['as' => 'api/v1/home-projects.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\ProjectsController@destroy']);
Route::resource('api/v1/partners', 'AhmadFatoni\ApiGenerator\Controllers\API\PartnersController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/partners/{id}/delete', ['as' => 'api/v1/partners.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\PartnersController@destroy']);
Route::resource('api/v1/cartoons', 'AhmadFatoni\ApiGenerator\Controllers\API\CartoonsController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/cartoons/{id}/delete', ['as' => 'api/v1/cartoons.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\CartoonsController@destroy']);
Route::resource('api/v1/mainServices', 'AhmadFatoni\ApiGenerator\Controllers\API\mainServicesController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/mainServices/{id}/delete', ['as' => 'api/v1/mainServices.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\mainServicesController@destroy']);
Route::resource('api/v1/contact', 'AhmadFatoni\ApiGenerator\Controllers\API\contactController', ['except' => ['destroy', 'create', 'edit']]);
Route::get('api/v1/contact/{id}/delete', ['as' => 'api/v1/contact.delete', 'uses' => 'AhmadFatoni\ApiGenerator\Controllers\API\contactController@destroy']);